Subject: Re: [NET]: Messed multicast lists after dev_mc_sync/unsync

From: Patrick McHardy <[email-masked]>
Date: Wed, 27 Feb 2008 12:46:41 +0100

Johannes Berg wrote:
>     
>   
>>     Commit a0a400d79e3dd7843e7e81baa3ef2957bdc292d0 from you
>>     introduced a new field "da_synced" to struct dev_addr_list that is
>>     not properly initialized to 0. So when any of the current users (8021q,
>>     macvlan, mac80211) calls dev_mc_sync/unsync they mess the address
>>     list for both devices.
>>  
>> -	da = kmalloc(sizeof(*da), GFP_ATOMIC);
>> +	da = kzalloc(sizeof(*da), GFP_ATOMIC);
>>     
>
> Could this be the reason for us seeing "multicast address leakage"
> warnings?

I don't think so, the users field was already initialized properly
before. Is wireless using dev_unicast_sync or dev_mc_sync?